---
# configure domain controller non- insteractive install

    - name: Check if domain is running
      shell: |
        samba-tool domain provision --server-role=dc \
        --use-rfc2307 \
        --dns-backend="{{ dns_backend }}" \
        --realm="{{ realm }}" \
        --domain="{{ domain }}"" \
        --adminpass="{{ admin_pass }}"